- [HTTP request](https://developers.google.com/workspace/add-ons/reference/rest/v1/projects.deployments/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/add-ons/reference/rest/v1/projects.deployments/get#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/workspace/add-ons/reference/rest/v1/projects.deployments/get#body.request_body)
- [Response body](https://developers.google.com/workspace/add-ons/reference/rest/v1/projects.deployments/get#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/add-ons/reference/rest/v1/projects.deployments/get#body.aspect)
- [Try it!](https://developers.google.com/workspace/add-ons/reference/rest/v1/projects.deployments/get#try-it)

Gets the deployment with the specified name.

### HTTP request

`GET https://gsuiteaddons.googleapis.com/v1/{name=projects/*/deployments/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The full resource name of the deployment to get. Example: `projects/my_project/deployments/my_deployment`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `gsuiteaddons.deployments.get` |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/add-ons/reference/rest/v1/projects.deployments#Deployment`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).